GuidesAPI Reference
API Reference

Delete Changesets

Deletes one or more changesets where the version number can be specified by the query parameter 'version', where the value must be an integer, bigger than 0 and the comparator should be one of the below list:

  • <
  • =lt=

Example: To remove changesets older than version number 10, a DELETE /layers/{layerId}/changesets?version=lt=10 could be executed.

The service will begin the process to remove the versions from version 9 until the version 0. During the deletion process, newer versions can be created and won't be affected.

Path Params
string
required

The unique identifier of the layer.

Query Params
string
required

The query parameter used to specify the versions to be deleted. The value must be an integer, bigger than 1, and the comparator should be one of the below list:

  • <
  • =lt=
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/x-empty
application/json